# QStylePlugin Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QStylePlugin(QObject parent)

### Constructor Properties

- prototype: The QStylePlugin prototype object

### Prototype Object Properties

The QStylePlugin prototype object inherits properties from the QObject prototype object and also has the following properties.

- QStyle create(String key)
- List keys()

### Instance Properties

QStylePlugin objects have no special properties beyond those inherited from the QStylePlugin prototype object.